> ## Documentation Index
> Fetch the complete documentation index at: https://platform.stepfun.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询已复刻音色

本 API 可用于查询当前用户下的复刻音色。官方音色可参看[支持音色](https://platform.stepfun.com/docs/zh/guides/developer/tts.md#官方音色清单)

### 请求地址

`GET https://api.stepfun.com/v1/audio/voices`

### 请求参数

* `limit` `string` ***optional***\
  分页的数量，默认 20，最大 100 ，最小 1。默认值为 20。

* `order` `string` ***optional***\
  基于创建时间的返回顺序，支持参数 `asc` 和 `desc`，默认为 `desc`。\
  &#x20;`asc`：升序，创建早的音色先出现\
  &#x20;`desc` :降序，创建晚的音色先出现

* `before` `string` ***optional***\
  &#x20;指针 ID（音色 ID），可与 limit / order 联合使用

* `after` `string` ***optional***\
  &#x20;指针 ID（音色 ID），可与 limit / order 联合使用。

### 请求响应

* `object` `string`\
  固定为 `list`

* `data` `array`\
  &#x20;音色 ID 的列表
  * `id` `int` \
    &#x20;音色 ID，可用于后续的音频生成
  * `file_id` `int`\
    &#x20;用于复刻音色的音频源文件的 File ID
  * `created_at` `int`\
    &#x20;音色创建的时间

* `has_more` `boolean`\
  &#x20;是否有下一页

* `first_id` `string`\
  &#x20;第一个音色的 ID

* `last_id` `string`\
  &#x20;最后一个音色的 ID

### 示例

> [tab] curl
>
> ```bash theme={"theme":{"light":"light-plus","dark":"dark-plus"}}
> curl --location 'https://api.stepfun.com/v1/audio/voices' \
>   --header 'Authorization: Bearer YOUR_STEP_API_KEY'
> ```

> [tab] python
>
> ```python theme={"theme":{"light":"light-plus","dark":"dark-plus"}}
> import requests
>
> url = "https://api.stepfun.com/v1/audio/voices"
>
> payload = {}
> headers = {
>     "Authorization": "Bearer YOUR_STEP_API_KEY"
> }
>
> response = requests.request("GET", url, headers=headers, data=payload)
>
> print(response.text)
> ```

**响应**

```json theme={"theme":{"light":"light-plus","dark":"dark-plus"}}
{
  "object": "list",
  "data": [
    {
      "id": "voice-tone-FmBrMBqicC",
      "file_id": "file-FmBrMBqicC",
      "created_at": 1742374363
    }
  ],
  "has_more": false,
  "first_id": "voice-tone-FmBrMBqicC",
  "last_id": "voice-tone-FmBrMBqicC"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.